
QGIS Application - Bug report #11313

Bad integer variables in postgis providers. Need unsigned int 0-4294967295

2014-10-02 11:12 PM - Alexander Novoselov

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19609

Description

In the long-lived database Postgresql, and an increase in counter OID 2147483647 overflow occurs above variables, using this OID.

As a result, does not create a binary cursor, and work with a layer of broken.

Geometry are displayed correctly, but the fields are not defined. Table attributes layer - ERROR.

Search problem should be visible here src/providers/postgres. Many of the variables passed to the function int.

Need unsigned int 0-4294967295!!!

History

#1 - 2017-03-06 03:10 PM - Giovanni Manghi

- Target version deleted (Future Release - High Priority)

- Priority changed from High to Normal

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-09-08 01:35 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#4 - 2019-03-09 03:12 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
